From: [email-masked]
Date: Fri, 22 Mar 91 14:02:58 -0600

> Ongoing projects, which include the Thai Kernel System (TKS), which
> incorporates the Benjarong suite of applications under development in
> conjunction with Kasetsart University and which incorporates a
> locally-developed word processor, spreadsheet, database and graphics
> programs, are now in the process of being wound up. 
> 

>	Could someone please enlight me more details about Thai Kernel System
> (such as its targeted plateforms, software architechture of the system etc.)?
> BTW, it'd be nice if one can provide info of other interesting ongoing 
> computer-related researches in Thailand.

   I do not have the most recent information about the TKS project, 
but I can tell about its general description (a short one).
The project is aimed at design and implementation of different layers
of software for thai data processing (as different shells in Unix
OS system).  One layer provides necessary primitives for another
layer(s), e.g.\ providing interrupt functions, Thai BIOS call routines,
higher level routines for outer layers.
Outer layers suppose to be portable to any target machines.
The most inner layer(s) should be kept as small as possible, since
it is machine-dependent, so that it will be easily ported to
different machines.
 
   Again, this perhaps not the recent and detailed information.
I shall obtain more details from my colleagues at KU.

Somnuk Keretho
Center for Advanced Computer Studies
USL P.O. Box 41468
Lafayette, LA 70504
e-mail: [email-masked]